/**
 * 序号：1
 * 功能：定义分页(EasyUI)
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：无需更改
 **/
var ls_width = $(window).width();
var ls_height = $(window).height();

var local_page=1;
var rows=20;
var listPageSize = [10,20,50,100,500,1000];
var queryData = eval("({'page':'"+local_page+"','rows':'"+rows+"'})");
var tab_n = 0;

//重置分页参数
function resetQueryData(){
	queryData = "";
	queryData = eval("({'page':'"+local_page+"','rows':'"+rows+"'})");
}
//设置参数
var is_code = "Y";
queryData.FIELD_O_ENABLE = is_code;
/****/

/**
 * 序号：2
 * 功能：构建下拉框内容
 * 参数：
 * 说明：方便新增、修改页面里的下拉选项加载数据
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/

//加载接口是否调用下拉框
var v_o_enable_data = [{CODE_ID:'Y',CODE_NAME:'允许'},{CODE_ID:'N',CODE_NAME:'禁止'}];

/****/

/**
 * 序号：3
 * 功能：构建主页面列表
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//定义grid列表
$('#list').datagrid({
		title:"接口分配",
	    iconCls:$.getJwWindowPic(),
	    url:'systemdata_listSysUser',
	    queryParams : queryData,//查询参数
		rownumbers : true,//显示索引号
		singleSelect : false,//是否多选
		fitColumns : false,//是否撑满
		autoRowHeight : 30,//设定高度
		pagination : true,//分页显示
		pageSize : rows,//显示行数
		pageList : listPageSize,//条数选择
		striped : true, //是否隔行显示
		remoteSort : false,//是否从服务器排序
		frozenColumns : [[
				{
					field : 'ck',
					checkbox : true
				},
				{
					field : 'option',
					title : '操作',
					width : 80,
					align : 'center',
					formatter : formatMenu
				}
				       ]],
		columns : [ [
				{
					field : 'EMID',
					title : '帐号',
					width : 80,
					align : 'center'
				},
				{
					field : 'EMNAME',
					title : '姓名',
					width : 120,
					align : 'left'
				},
				{
					field : 'EMDEPARTNAME',
					title : '角色',
					width : 80,
					align : 'left'
				},{
					field : 'EMAIL',
					title : '邮箱',
					width : 150,
					align : 'left'
				},
				{
					field : 'REGDATE',
					title : '注册时间',
					width : 100,
					align : 'center'
				},
				{
					field : 'ID_CODE',
					title : '证件号',
					width : 120,
					align : 'center'
				},
				{
					field : 'O_ENABLE',
					title : '接口调用',
					width : 80,
					align : 'center',
					formatter : function(value) {
						return getCodeName(v_o_enable_data, value);
					}
				}
				] ],
		toolbar : '#tb',
		onLoadSuccess : function() {
			createOptionMenuTooltip();
		}
});

/****/

/**
 * 序号：4
 * 功能：设置主页面操作列菜单
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//操用列显示更多(一般情况下无需更改)
function formatMenu(value, data,index) {
	var returnData="";
	return  returnData
	      + "<span class=\"icon-ext-moremenu\" style=\"padding-left:20px;*width:20px;\"></span>"
	      + "<span data-p1="+index+" class=\"easyui-tooltip\" style=\"color:blue;cursor:pointer;\">更多</span>";
}

//菜单更多上浮横向菜单集(无需更改)
function createOptionMenuTooltip() {
	$('#list').datagrid('getPanel').find('.easyui-tooltip').each(
			function() {
				var index = parseInt($(this).attr('data-p1'));
				$(this).tooltip({
					content : $('<div></div>'),
					onUpdate : function(cc) {
						var row = $('#list').datagrid('getRows')[index];
						var content = getOptionMenu(row,index);
						var mCount = getOptionMenuCount();
						cc.css("border","0").panel({
							width : (80 * mCount),
							content : content
						});
					},
					position : 'right',
					deltaX : -20,
					onShow : function() {
						var t = $(this);
						t.tooltip('tip').css( {
							backgroundColor : '#ffffff'
								}).unbind().bind('mouseenter', function() {
							t.tooltip('show');
						}).bind('mouseleave', function() {
							t.tooltip('hide');
						});
					}
				});
			});
}

//上浮横向菜单集里的具体菜单项(需更改)
function getOptionMenu(data,index){
	var returnData= "<span class=\"icon-ext-16_36\" style=\"padding-left:20px;*width:20px;\"></span><a href=\"javascript:void(0);\" onclick=\"sqRow('"
		+ index
		+ "')\">接口授权</a>  |  <span class=\"icon-ext-23_06\" style=\"padding-left:20px;*width:20px;\"></span><a href=\"javascript:void(0);\" onclick=\"viewRow('"
		+ index + "')\">可用接口</a>";
	return returnData;
}

//返回菜单集的菜单个数(需更改)
function getOptionMenuCount(){
	var is_menu_count = 2;
	return is_menu_count;
}

/****/

/**
 * 序号：5
 * 功能：新增修改弹出
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//加载增加子页面


//加载修改子页面
function sqRow(index) {
	$('#list').datagrid('selectRow',index);
	var is_row = $('#list').datagrid('getSelections');
	$('#list').datagrid('clearSelections');
	is_row[0].OPETYPE = 'update';
	var is_code = is_row[0].CODE;
	window.location = 'serviceManage/view_listServiceChoiceTab?CODE='+is_code;
}

function viewRow(index) {
	$('#list').datagrid('selectRow',index);
	var is_row = $('#list').datagrid('getSelections');
	$('#list').datagrid('clearSelections');
	is_row[0].OPETYPE = 'update';
	var is_code = is_row[0].CODE;
	window.location = 'serviceManage/view_listServiceViewTab?CODE='+is_code;
}

//弹出层返回按扭
function closeBox(Box_id) {
	if(Box_id==null||Box_id==''||Box_id==undefined)
		Box_id='detail';
	$('#'+Box_id).dialog('close');
}
//弹出层保存按扭
function saveBox(Box_id,List_id) {
	if(Box_id==null||Box_id==''||Box_id==undefined)
		Box_id='detail';
	if(List_id==null||List_id==''||List_id==undefined)
		List_id='list';
	var returnIsValid = $('#inputForm').form('validate');
	if (returnIsValid) {
		//$("#inputForm").submit();
		var query = $("#inputForm").getFormVal();
		var v_result;
		if ($('#OPETYPE').val() == null || $('#OPETYPE').val() == undefined
				|| $('#OPETYPE').val() == '' || $('#OPETYPE').val()=='insert')
			v_result = jwServiceManageModule.jwServiceActAction.insertServiceManage(query);
		else
			v_result = jwServiceManageModule.jwServiceActAction.updateServiceManage(query);
		if (v_result != null && v_result != undefined) {
			closeBox(Box_id);
			$.messager.alert('提示', v_result.VALUE);
			$('#'+List_id).datagrid('reload');
		}
	}
}
/****/

/**
 * 序号：6
 * 功能：单个删除
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function deleteRow(index){
	$('#list').datagrid('selectRow',index);
	
	var is_row = $('#list').datagrid('getSelections');
	$('#list').datagrid('clearSelections');

	if(is_row[0].YSY!=null && is_row[0].YSY>0){
		$.messager.alert('提示',"有接口使用中,无法删除!",'info');
		return;
	}
	var code = is_row[0].UUID;
	$.messager.confirm('提示', '确定删除?', function(r) {
		if (r) {
			var v_query = {};
		    v_query.FIELD_UUID = code;
		    var v_result = jwServiceManageModule.jwServiceActAction.deleteServiceManage(v_query);
			$.messager.alert('提示',v_result.VALUE);
			$('#list').datagrid('reload');
		}
	});
}
/****/

/**
 * 序号：7
 * 功能：批量删除
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function deleteBatchRow(){
	var code="";
	var rows = $('#list').datagrid('getSelections');
	for(var i=0; i<rows.length; i++){
		code = code + rows[i].UUID+",";
		if(rows[i].YSY!=null && rows[i].YSY>0){
			$.messager.alert('提示',"有接口使用中,无法删除!",'info');
			return;
		}
	}
	if(rows == null || rows == ""){
		$.messager.alert('提示',"请选择需删除的行!",'info');
		return;
	}
	if(code.length>0){
		code = code.substring(0,code.length - 1);
	}
	$.messager.confirm('提示', '确定删除?', function(r) {
		if (r) {
			var v_query = {};
		    v_query.FIELD_UUID = code;
		    var v_result = jwServiceManageModule.jwServiceActAction.deleteServiceManage(v_query);
			$.messager.alert('提示',v_result.VALUE);
			$('#list').datagrid('reload');
		}
	});
}
/****/

/**
 * 序号：8
 * 功能：刷新
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function refreshRow(){
	resetQueryData();
	queryData.FIELD_O_ENABLE = is_code;
	$('#list').datagrid('load',queryData);
	$("#listUsertab_searchForm")[0].reset();
}
/****/

/**
 * 序号：9
 * 功能：查询
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function searchRow(){
	var v_query = $("#listUsertab_searchForm").getFormVal();
	v_query.FIELD_O_ENABLE = is_code;
	$('#list').datagrid('load',v_query);
}
/****/


